#!/usr/bin/bash
#SBATCH -N 32
#SBATCH -n 1024
#SBATCH -t 00:10:00
#SBATCH -p pbatch
#SBATCH --job-name="hacc-io"


export I_MPI_EXTRA_FILESYSTEM=on
export I_MPI_EXTRA_FILESYSTEM_LIST=lustre
export OMP_NUM_THREADS=1
#export ROMIO_PRINT_HINTS=1

cd /p/lscratchh/wang116/applications/hacc-io
lfs setstripe -c 8 -S 4M ./

rm -f HACC_IO_TEST-Part*
LD_PRELOAD=/g/g90/wang116/sources/Recorder/install/lib/librecorder.so srun ./hacc_io 5 ./HACC_IO_TEST 1
mv ./recorder-logs recorder-logs-posix

rm -f HACC_IO_TEST-Part*
LD_PRELOAD=/g/g90/wang116/sources/Recorder/install/lib/librecorder.so srun ./hacc_io 5 ./HACC_IO_TEST 2
mv ./recorder-logs recorder-logs-mpi-shared

rm -f HACC_IO_TEST-Part*
LD_PRELOAD=/g/g90/wang116/sources/Recorder/install/lib/librecorder.so srun ./hacc_io 5 ./HACC_IO_TEST 3
mv ./recorder-logs recorder-logs-mpi-indep
